org.apache.ignite.internal.visor

## Class VisorDataTransferObjectOutput

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObjectOutput

All Implemented Interfaces:
  DataOutput, ObjectOutput, AutoCloseable

Deprecated.
Use `IgniteDataTransferObjectOutput` instead. This class may be removed in Ignite 3.0.

    public class VisorDataTransferObjectOutput
    extends Object
    implements ObjectOutput

Wrapper for object output.

### Constructor Summary

Constructors
Constructor and Description
`VisorDataTransferObjectOutput(ObjectOutput out)` Deprecated. Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated.
`void` `flush()` Deprecated.
`void` `write(byte[] b)` Deprecated.
`void` `write(byte[] b, int off, int len)` Deprecated.
`void` `write(int b)` Deprecated.
`void` `writeBoolean(boolean v)` Deprecated.
`void` `writeByte(int v)` Deprecated.
`void` `writeBytes(@NotNull String s)` Deprecated.
`void` `writeChar(int v)` Deprecated.
`void` `writeChars(@NotNull String s)` Deprecated.
`void` `writeDouble(double v)` Deprecated.
`void` `writeFloat(float v)` Deprecated.
`void` `writeInt(int v)` Deprecated.
`void` `writeLong(long v)` Deprecated.
`void` `writeObject(Object obj)` Deprecated.
`void` `writeShort(int v)` Deprecated.
`void` `writeUTF(@NotNull String s)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorDataTransferObjectOutput

    public VisorDataTransferObjectOutput(ObjectOutput out)
                                  throws IOException

Deprecated.
Constructor.

Parameters:
  `out` - Target stream.
Throws:
  `IOException` - If an I/O error occurs.

### Method Detail

#### writeObject

    public void writeObject(Object obj)
                     throws IOException

Deprecated.

Specified by:
  `writeObject` in interface `ObjectOutput`
Throws:
  `IOException`

#### write

    public void write(int b)
               throws IOException

Deprecated.

Specified by:
  `write` in interface `DataOutput`
Specified by:
  `write` in interface `ObjectOutput`
Throws:
  `IOException`

#### write

    public void write(byte[] b)
               throws IOException

Deprecated.

Specified by:
  `write` in interface `DataOutput`
Specified by:
  `write` in interface `ObjectOutput`
Throws:
  `IOException`

#### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

Deprecated.

Specified by:
  `write` in interface `DataOutput`
Specified by:
  `write` in interface `ObjectOutput`
Throws:
  `IOException`

#### writeBoolean

    public void writeBoolean(boolean v)
                      throws IOException

Deprecated.

Specified by:
  `writeBoolean` in interface `DataOutput`
Throws:
  `IOException`

#### writeByte

    public void writeByte(int v)
                   throws IOException

Deprecated.

Specified by:
  `writeByte` in interface `DataOutput`
Throws:
  `IOException`

#### writeShort

    public void writeShort(int v)
                    throws IOException

Deprecated.

Specified by:
  `writeShort` in interface `DataOutput`
Throws:
  `IOException`

#### writeChar

    public void writeChar(int v)
                   throws IOException

Deprecated.

Specified by:
  `writeChar` in interface `DataOutput`
Throws:
  `IOException`

#### writeInt

    public void writeInt(int v)
                  throws IOException

Deprecated.

Specified by:
  `writeInt` in interface `DataOutput`
Throws:
  `IOException`

#### writeLong

    public void writeLong(long v)
                   throws IOException

Deprecated.

Specified by:
  `writeLong` in interface `DataOutput`
Throws:
  `IOException`

#### writeFloat

    public void writeFloat(float v)
                    throws IOException

Deprecated.

Specified by:
  `writeFloat` in interface `DataOutput`
Throws:
  `IOException`

#### writeDouble

    public void writeDouble(double v)
                     throws IOException

Deprecated.

Specified by:
  `writeDouble` in interface `DataOutput`
Throws:
  `IOException`

#### writeBytes

    public void writeBytes(@NotNull
                           @NotNull String s)
                    throws IOException

Deprecated.

Specified by:
  `writeBytes` in interface `DataOutput`
Throws:
  `IOException`

#### writeChars

    public void writeChars(@NotNull
                           @NotNull String s)
                    throws IOException

Deprecated.

Specified by:
  `writeChars` in interface `DataOutput`
Throws:
  `IOException`

#### writeUTF

    public void writeUTF(@NotNull
                         @NotNull String s)
                  throws IOException

Deprecated.

Specified by:
  `writeUTF` in interface `DataOutput`
Throws:
  `IOException`

#### flush

    public void flush()
               throws IOException

Deprecated.

Specified by:
  `flush` in interface `ObjectOutput`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Deprecated.

Specified by:
  `close` in interface `ObjectOutput`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021